package net.seelisoft.anruflaut.model;

public class Anrufer {

    public String nummer;
    public String name;
    public boolean verzögert;
    public boolean aktiv;

    public String getDisplayText() {
        String basis = name + " (" + this.nummer + ")";
        return verzögert
                ? basis + " 2x"
                : basis;
    }

    public boolean istAktiv() {
        return aktiv;
    }

    public boolean istSofort() {
        return !verzögert;
    }

    public String getNummer() {
        return nummer == null ? "" : nummer.trim().replace(" ", "");
    }
}
